"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initPoolDiscountInfoIx = void 0;
const web3_js_1 = require("@solana/web3.js");
function initPoolDiscountInfoIx(program, params) {
    const { whirlpoolsConfig, whirlpool, discountToken, poolCreatorAuthority, tokenConversionRate, whirlpoolDiscountInfoPDA, discountFeeRate, discountTokenRateOverTokenA, } = params;
    const ix = program.instruction.initializePoolDiscountInfo(tokenConversionRate, discountFeeRate, discountTokenRateOverTokenA, {
        accounts: {
            config: whirlpoolsConfig,
            whirlpool: whirlpool,
            discountToken,
            whirlpoolDiscountInfo: whirlpoolDiscountInfoPDA.publicKey,
            poolCreatorAuthority,
            systemProgram: web3_js_1.SystemProgram.programId,
        },
    });
    return {
        instructions: [ix],
        cleanupInstructions: [],
        signers: [],
    };
}
exports.initPoolDiscountInfoIx = initPoolDiscountInfoIx;
