export declare type RewardToken = {
    emissionPerWeek: number;
    tokenPrice: number;
};
export declare type PoolAPRReward = {
    apr: number;
    rewards: {
        [k: string]: number;
    } | null;
};
/**
 *
 * @param vol24H : volumn 24h of pool
 * @param feeRate : fee rate in raw value Eg: 0.001% -> 0.00001
 * @param tvl : Liquidity is TVL
 * @param rewards : rewards tokens APR maybe contain one or more or nothing reward token
 * @param toPercent : APR result in percentage or not
 * @returns  see: PoolAPRReward
 */
export declare function calculatePoolAPR(vol24H: number, feeRate: number, tvl: number, rewards: {
    [k: string]: RewardToken;
} | null, toPercent?: boolean): PoolAPRReward;
export declare function calculateTokenPositionRewardAPR(emissionPerWeek: number, tokenPrice: number, share: number, positionBalance: number): number;
export declare function calculatePositionAPR(vol24H: number, feeRate: number, lp: number, lpInRange: number, positionBalance: number, rewards: {
    [k: string]: RewardToken;
} | null, toPercent?: boolean): {
    apr: number;
    rewards: null;
} | {
    apr: number;
    rewards: {
        [k: string]: number;
    };
};
